Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QXmlNodeModelIndex.NodeKind

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xmlpatterns.QXmlNodeModelIndex.NodeKind

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QXmlNodeModelIndex

    public static final class QXmlNodeModelIndex.NodeKind

extends java.lang.Enum
implements QtEnumerator

Identifies a kind of node. Note that the optional XML declaration at very beginning of the XML document is not a processing instruction

See also:
  `QAbstractXmlNodeModel::kind()`.

See Also:
  Serialized Form

Field Summary
`static QXmlNodeModelIndex.NodeKind` | `Attribute` Identifies an attribute node
`static QXmlNodeModelIndex.NodeKind` | `Comment` Identifies a comment node
`static QXmlNodeModelIndex.NodeKind` | `Document` Identifies a document node
`static QXmlNodeModelIndex.NodeKind` | `Element` Identifies an element node
`static QXmlNodeModelIndex.NodeKind` | `Namespace` Identifies a namespace node
`static QXmlNodeModelIndex.NodeKind` | `ProcessingInstruction` Identifies a processing instruction.
`static QXmlNodeModelIndex.NodeKind` | `Text` Identifies a text node

Method Summary
`static QXmlNodeModelIndex.NodeKind` | `resolve(int value)` Returns the QXmlNodeModelIndex$NodeKind constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QXmlNodeModelIndex.NodeKind` | `valueOf(java.lang.String name)`
`static QXmlNodeModelIndex.NodeKind[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Attribute

    public static final QXmlNodeModelIndex.NodeKind Attribute

  Identifies an attribute node

### Comment

    public static final QXmlNodeModelIndex.NodeKind Comment

  Identifies a comment node

### Document

    public static final QXmlNodeModelIndex.NodeKind Document

  Identifies a document node

### Element

    public static final QXmlNodeModelIndex.NodeKind Element

  Identifies an element node

### Namespace

    public static final QXmlNodeModelIndex.NodeKind Namespace

  Identifies a namespace node

### ProcessingInstruction

    public static final QXmlNodeModelIndex.NodeKind ProcessingInstruction

  Identifies a processing instruction.

### Text

    public static final QXmlNodeModelIndex.NodeKind Text

  Identifies a text node

Method Detail

### values

    public static QXmlNodeModelIndex.NodeKind[] values()

### valueOf

    public static QXmlNodeModelIndex.NodeKind valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QXmlNodeModelIndex.NodeKind resolve(int value)

  Returns the QXmlNodeModelIndex$NodeKind constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD